CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

菜单栏属性 (ActiveX)

2023-1-3 09:33| 发布者: admin| 查看: 453| 评论: 0|来自: AutoCAD

摘要: 确定指定的弹出菜单是否位于菜单栏上。

确定指定的弹出菜单是否位于菜单栏上。

支持的平台:仅窗口

签名

工 务 局:

object.OnMenuBar
对象

类型:弹出菜单

此属性适用的对象。

属性值

只读:是的

类型:布尔

  • True:此菜单位于菜单栏上。
  • False:此菜单不在菜单栏上。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_OnMenuBar()
    ' This example creates a new menu called TestMenu and inserts a menu item
    ' into it. The menu is then displayed on the menu bar, and then
    ' removed from the menu bar.
    
    Dim currMenuGroup As acadMenuGroup
    Set currMenuGroup = ThisDrawing.Application.MenuGroups.Item(0)
    
    ' Create the new menu
    Dim newMenu As AcadPopupMenu
    Set newMenu = currMenuGroup.Menus.Add("TestMenu")
    
    ' Add a menu item to the new menu
    Dim newMenuItem As AcadPopupMenuItem
    Dim openMacro As String
    ' Assign the macro string the VB equivalent of "ESC ESC _open "
    openMacro = Chr(3) & Chr(3) & Chr(95) & "open" & Chr(32)
    
    Set newMenuItem = newMenu.AddMenuItem(newMenu.count + 1, "Open", openMacro)
    
    ' Display the menu on the menu bar
    newMenu.InsertInMenuBar (ThisDrawing.Application.MenuBar.count + 1)
    GoSub QUERYMENU
    
    ' Remove the menu from the menu bar
    currMenuGroup.Menus.RemoveMenuFromMenuBar ("TestMenu")
    GoSub QUERYMENU
    Exit Sub
    
QUERYMENU:
    If newMenu.OnMenuBar Then
        MsgBox "The menu called " & newMenu.name & " is on the menu bar."
    Else
        MsgBox "The menu called " & newMenu.name & " is not on the menu bar."
    End If
    Return
        
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_OnMenuBar()
    ;; This example creates a new menu called TestMenu and inserts a menu item
    ;; into it. The menu is then displayed on the menu bar, and then
    ;; removed from the menu bar.
    (setq acadObj (vlax-get-acad-object))
    (setq currMenuGroup (vla-Item (vla-get-MenuGroups acadObj) 0))
    
    ;; Create the new menu
    (setq newMenu (vla-Add (vla-get-Menus currMenuGroup) "TestMenu"))
    
    ;; Add a menu item to the new menu
    ;; Assign the macro string the VB equivalent of "ESC ESC _open "
    (setq openMacro (strcat (Chr 3) (Chr 3) (Chr 95) "open" (Chr 32)))
    (setq newMenuItem (vla-AddMenuItem newMenu (1+ (vla-get-Count newMenu)) "Open" openMacro))
    
    ;; Display the menu on the menu bar
    (vla-InsertInMenuBar newMenu (1+ (vla-get-Count (vla-get-MenuBar acadObj))))
    (if (= (vla-get-OnMenuBar newMenu) :vlax-true)
        (alert (strcat "The menu called " (vla-get-Name newMenu) " is on the menu bar."))
        (alert (strcat "The menu called " (vla-get-Name newMenu) " is not on the menu bar."))
    )
    
    ;; Remove the menu from the menu bar
    (vla-RemoveMenuFromMenuBar (vla-get-Menus currMenuGroup) "TestMenu")
    (if (= (vla-get-OnMenuBar newMenu) :vlax-true)
        (alert (strcat "The menu called " (vla-get-Name newMenu) " is on the menu bar."))
        (alert (strcat "The menu called " (vla-get-Name newMenu) " is not on the menu bar."))
    )
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 06:49

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部